import Tippy from 'tippy';
import { format } from 'd3';

export const Points = ({ data, xScale, yScale }) =>
  data.map((d) => (
    <Tippy content={<span>{format(',')(d.rank)}</span>}>
      <circle
        className="accent"
        cx={xScale(d.date)}
        cy={yScale(d.rank)}
        r={7}
      />
    </Tippy>
  ));
